Forge: Histogram Class Reference

Forge

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Histogram Class Reference

Bar graph to display data frequencey. More...

`#include <histogram.h>`

## Public Member Functions
FGAPI | Histogram (unsigned pNBins, dtype pDataType)
| Creates a Histogram object. More...
FGAPI | Histogram (const Histogram &other)
| Copy constructor for Histogram. More...
FGAPI | ~Histogram ()
| Histogram Destructor. More...
FGAPI void | setBarColor (fg::Color col)
| Set the color of bar in the bar graph(histogram) More...
FGAPI void | setBarColor (float pRed, float pGreen, float pBlue)
| Set the color of bar in the bar graph(histogram) More...
FGAPI void | setAxesLimits (float pXmax, float pXmin, float pYmax, float pYmin)
| Set the chart axes limits. More...
FGAPI void | setAxesTitles (const char *pXTitle, const char *pYTitle)
| Set axes titles in histogram(bar chart) More...
FGAPI float | xmax () const
| Get X-Axis maximum value. More...
FGAPI float | xmin () const
| Get X-Axis minimum value. More...
FGAPI float | ymax () const
| Get Y-Axis maximum value. More...
FGAPI float | ymin () const
| Get Y-Axis minimum value. More...
FGAPI unsigned | vbo () const
| Get the OpenGL Vertex Buffer Object identifier. More...
FGAPI unsigned | size () const
| Get the OpenGL Vertex Buffer Object resource size. More...
FGAPI internal::_Histogram * | get () const
| Get the handle to internal implementation of Histogram. More...

## Detailed Description

Bar graph to display data frequencey.

## Constructor & Destructor Documentation

FGAPI Histogram | ( | unsigned | pNBins,
|  | dtype | pDataType
| ) |  |

Creates a Histogram object.

Parameters

  [in] | pNBins | is number of bins the data is sorted out
  [in] | pDataType | takes one of the values of dtype that indicates the integral data type of histogram data

FGAPI Histogram | ( | const Histogram & | other | ) |

Copy constructor for Histogram.

Parameters

  [in] | other | is the Histogram of which we make a copy of.

FGAPI ~Histogram | ( |  | ) |

Histogram Destructor.

## Member Function Documentation

FGAPI internal::_Histogram* get | ( |  | ) | const

Get the handle to internal implementation of Histogram.

FGAPI void setAxesLimits | ( | float | pXmax,
|  | float | pXmin,
|  | float | pYmax,
|  | float | pYmin
| ) |  |

Set the chart axes limits.

Parameters

  [in] | pXmax | is X-Axis maximum value
  [in] | pXmin | is X-Axis minimum value
  [in] | pYmax | is Y-Axis maximum value
  [in] | pYmin | is Y-Axis minimum value

FGAPI void setAxesTitles | ( | const char * | pXTitle,
|  | const char * | pYTitle
| ) |  |

Set axes titles in histogram(bar chart)

Parameters

  [in] | pXTitle | is X-Axis title
  [in] | pYTitle | is Y-Axis title

FGAPI void setBarColor | ( | fg::Color | col | ) |

Set the color of bar in the bar graph(histogram)

Parameters

  [in] | col | takes values of type fg::Color to define bar color

FGAPI void setBarColor | ( | float | pRed,
|  | float | pGreen,
|  | float | pBlue
| ) |  |

Set the color of bar in the bar graph(histogram)

Parameters

  [in] | pRed | is Red component in range [0, 1]
  [in] | pGreen | is Green component in range [0, 1]
  [in] | pBlue | is Blue component in range [0, 1]

FGAPI unsigned size | ( |  | ) | const

Get the OpenGL Vertex Buffer Object resource size.

Returns
  OpenGL VBO resource size.

FGAPI unsigned vbo | ( |  | ) | const

Get the OpenGL Vertex Buffer Object identifier.

Returns
  OpenGL VBO resource id.

FGAPI float xmax | ( |  | ) | const

Get X-Axis maximum value.

Returns
  Maximum value along X-Axis

FGAPI float xmin | ( |  | ) | const

Get X-Axis minimum value.

Returns
  Minimum value along X-Axis

FGAPI float ymax | ( |  | ) | const

Get Y-Axis maximum value.

Returns
  Maximum value along Y-Axis

FGAPI float ymin | ( |  | ) | const

Get Y-Axis minimum value.

Returns
  Minimum value along Y-Axis

The documentation for this class was generated from the following file:

- histogram.h